<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class CatalogModelCatalog extends JModelAdmin {
    public function getTable($type = 'Catalog', $prefix = 'CatalogTable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }
    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                $this->option . '.catalog', 'catalog', array('control' => 'jform', 'load_data' => $loadData)
        );
        if (empty($form)) {
            return false;
        }
        return $form;
    }
    protected function loadFormData() {
        $data = JFactory::getApplication()->getUserState($this->option . '.editcatalog.data', array());
        if (empty($data)) {
            $data = $this->getItem();
        }
        return $data;
    }
    public function getCatalog() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__huge_it_catalogs');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }

    public function getPropertie() {
        $db = JFactory::getDBO();
        $id_cat = JRequest::getVar('id');
        $query = $db->getQuery(true);
        $query->select('#__huge_it_catalog_products.name as name,'
                . '#__huge_it_catalog_products.id ,'
                . '#__huge_it_catalogs.name as catName,'
                . 'catalog_id,#__huge_it_catalog_products.description as productDescription,#__huge_it_catalog_products.parameters as productParameters,#__huge_it_catalogs.description,image_url,sl_url,sl_type,price,market_price,single_product_url_type,single_product_url_type,#__huge_it_catalog_products.link_target as productLinkTarget,#__huge_it_catalog_products.ordering,#__huge_it_catalog_products.published,published_in_sl_width');
        $query->from(array('#__huge_it_catalogs' => '#__huge_it_catalogs', '#__huge_it_catalog_products' => '#__huge_it_catalog_products'));
        $query->where('#__huge_it_catalogs.id = catalog_id')->where('catalog_id=' . $id_cat);
        $query->order('ordering asc');
       
        $db->setQuery($query);
        $results = $db->loadObjectList();
        
        return $results;
    }

    public function getImageByID() {
        $db = JFactory::getDBO();
        $id_cat = JRequest::getVar('id');
        $query = $db->getQuery(true);
        $query->select('*');
        $query->from('#__huge_it_catalog_products');
        $query->where('catalog_id=' . $id_cat);
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }

    public function save($data) {
        $db = JFactory::getDBO();
        $result = $this->getPropertie();
        $this->updarteCatalog();
        $this->selectStyle();
              
        foreach ($result as $key => $value) {
            $imageId = $value->id;
            $id = $data['imageId' . $imageId];
            $titleimage = $data['titleimage' . $imageId];
            $price = $data['price' . $imageId];
            $market_price = $data['market_price'.$imageId];
            $view_link_open_type= $data['view_link_open_type'.$imageId];
            $single_product_url_type = $data['single_product_url_type'.$imageId];
            $im_description= $data['im_description'.$imageId];
            $parameter= $data['parameter'.$imageId];
            $category = $data['category'.$imageId];
            $image_url = $data['image_url' . $imageId];
            //$sl_url = $data['sl_url' . $imageId];
            //sl_link_target = $data['sl_link_target' . $imageId];
            $ordering = $data['order_by_' . $imageId];

                       
            $query = $db->getQuery(true);
            $query->update('#__huge_it_catalog_products')
                    ->set('name="' . $titleimage . '"')
                    ->set('description="' . $im_description. '"')
                    ->set('image_url="'.$image_url.'"')
                    ->set('link_target="' . $view_link_open_type . '"')
                    ->set('ordering="' . $ordering . '"')
                    ->set('price="' . $price . '"')
                    ->set('single_product_url_type="'.$single_product_url_type.'"')
                    ->set('market_price="' . $market_price . '"')
                    ->set('parameters="' . $parameter . '"')
                    ->where('id=' . $imageId);
            
            
            
            
            $db->setQuery($query);
            $db->execute();
        }
    }

    function updarteCatalog() {
        $db = JFactory::getDBO();
        $data = JRequest::get('post');
        $name = $data['name'];
        $id_cat = JRequest::getVar('id');
        $query = $db->getQuery(true);
        $query->update('#__huge_it_catalogs')->set('name ="' . $name . '"')->where('id="' . $id_cat . '"');
        $db->setQuery($query);
        $db->execute();
    }

    function selectStyle() {
        $db = JFactory::getDBO();
        $data = JRequest::get('post');
          $name = $data['name'];
        $catalog_effects_list = $data['catalog_effects_list'];
        $pagination_type = $data['pagination_type'];
        $count_into_page = $data['count_into_page'];
        $allCategories = $data['allCategories'];
        $id_cat = JRequest::getVar('id');
        $query = $db->getQuery(true);
        
        $query->update('#__huge_it_catalogs')
              ->set('name ="' . $name . '"')
              ->set('catalog_list_effects_s ="'.$catalog_effects_list.'"')
              ->set('pagination_type ="'.$pagination_type.'"')
              ->set('count_into_page ="'.$count_into_page.'"')
              ->set('categories ="'.$allCategories.'"')
              ->where('id="' . $id_cat . '"');
        $db->setQuery($query);
        $db->execute();
    }

    public function saveCat() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query ->insert('#__huge_it_catalogs', 'id')
               ->set('name = "New Catalog"')
               ->set('catalog_list_effects_s = "cubeH"')
               ->set('description = "4000"')
               ->set('param = "1000"')
               ->set('sl_position = "center"')
               ->set('ordering = "1"')
               ->set('published = "300"')
               ->set('categories = "param1,param2,"')
               ->set('ht_show_sorting = "off"')
               ->set('ht_show_filtering = "off"')
               ->set('link_target = "on"');
        $db->setQuery($query);
        $db->execute();
        return $db->insertid();
    }


    
    function getCategoriesParams($id) {
      $db = JFactory::getDBO();
      $query = $db->getQuery(true);  
      
      $query ->select('categories')
              ->from('#__huge_it_catalogs')
              ->where('id = "'.$id.'"');
             
      $db->setQuery($query);
      $results = $db->loadObjectList(); 
      
      $params = '';
      
      foreach ($results as $res) {
          $params =  str_replace(',','@@',$res -> categories);
      }
      echo $params;
      return $params;
              
    }

    function saveProject($imageUrl, $catalogId) {
        $db = JFactory::getDBO();
        $param = $this->getCategoriesParams($catalogId);
        $imageUrl = $imageUrl . ";";
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->insert('#__huge_it_catalog_products', 'id')->set('catalog_id = "' . $catalogId . '"')
                ->set('image_url= "' . $imageUrl . '"')
                ->set('parameters="'.$param.'"');
        $db->setQuery($query);
        $db->execute();
        return $catalogId;
    }

    public function deleteProject() {
        $id_cat = JRequest::getVar('removeslide');
        $id = JRequest::getVar('id');
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->delete('#__huge_it_catalog_products')->where('id =' . $id_cat);
        $db->setQuery($query);
        $db->execute();
        return;
    }

}
