<?php
/**
 * @package Catalog
 * @author Huge-IT
 * @copyright (C) 2014 Huge IT. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @website		http://www.huge-it.com/
 * */
defined('_JEXEC') or die;
jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.helper');

class CatalogModelSubmissions extends JModelAdmin {

    public function getTable($type = 'Submissions', $prefix = 'CatalogTable', $config = array()) {
        return JTable::getInstance($type, $prefix, $config);
    }

    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                $this->option . '.submissions', 'submissions', array('control' => 'jform', 'load_data' => $loadData)
        );

        if (empty($form)) {
            return false;
        }
        return $form;
    }

    protected function loadFormData() {
        $data = JFactory::getApplication()->getUserState($this->option . '.editcsubmissions.data', array());
        if (empty($data)) {
            $data = $this->getItem();
        }
        return $data;
    }
    public function getSubmissions() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->select('*,#__huge_it_catalog_products.name as product_name, #__huge_it_catalog_asc_seller.id as  message_id');
        $query->from('#__huge_it_catalog_asc_seller,#__huge_it_catalog_products');
        $query->where('#__huge_it_catalog_asc_seller.product_id = #__huge_it_catalog_products.id');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;
    }
    private function updateReadInfo($id) {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query = $db->getQuery(true);
        $query->update('#__huge_it_catalog_asc_seller');
        $query->set('read_or_not = 1');
        $query->where('id = "'.$id.'"');
        $db->setQuery($query);
        $db->execute();
    }
    public function getMessage() {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $id = JRequest::getVar('message_id');
        $this-> updateReadInfo($id);
        $query->select('*,#__huge_it_catalog_products.name as product_name, #__huge_it_catalog_asc_seller.id as  message_id');
        $query->from('#__huge_it_catalog_asc_seller,#__huge_it_catalog_products');
        $query->where('#__huge_it_catalog_asc_seller.product_id = #__huge_it_catalog_products.id and #__huge_it_catalog_asc_seller.id = "'.$id.'"');
        $db->setQuery($query);
        $results = $db->loadObjectList();
        return $results;     
    }
    public function updateAsSpam($cid) {
        $db = JFactory::getDBO();
        foreach ($cid as $cidId) {
            $query = $db->getQuery(true);
            $query->update('#__huge_it_catalog_asc_seller');
            $query->set('spam = 1');
            $query->where('id = "'.$cidId.'"');
            $db->setQuery($query);
            $db->execute();
        }
    } 
    public function updateAsSpamById($getMessageId) {
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);
        $query->update('#__huge_it_catalog_asc_seller');
        $query->set('spam = 1');
        $query->where('id = "'.$getMessageId.'"');
        $db->setQuery($query);
        $db->execute();
    }
    public function updateAsNoneSpam($cid) {
        $db = JFactory::getDBO();
        foreach ($cid as $cidId) {
            $query = $db->getQuery(true);
            $query->update('#__huge_it_catalog_asc_seller');
            $query->set('spam = 0');
            $query->where('id = "'.$cidId.'"');
            $db->setQuery($query);
            $db->execute();
        }
    }
    public function updateAsNoneSpamById($getMessageId) {
        $db = JFactory::getDBO();
            $query = $db->getQuery(true);
            $query->update('#__huge_it_catalog_asc_seller');
            $query->set('spam = 0');
            $query->where('id = "'.$getMessageId.'"');
            $db->setQuery($query);
            $db->execute();
    }
    public function deleteSubmission($cid) {
        $db = JFactory::getDBO();
        foreach ($cid as $cidId) {
            $query = $db->getQuery(true);
            $query = "Delete  from  #__huge_it_catalog_asc_seller where id = ".$cidId."";
            $db->setQuery($query);
            $db->execute();
        }
    }
    public function deleteSubmissionById($getMessageId) {
        $db = JFactory::getDBO();
            $query = $db->getQuery(true);
            $query = "Delete  from  #__huge_it_catalog_asc_seller where id = ".$getMessageId."";
            $db->setQuery($query);
            $db->execute();
    }
}
