DROP TABLE IF EXISTS `#__huge_it_catalogs`;

CREATE TABLE IF NOT EXISTS `#__huge_it_catalogs` (
`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `sl_height` int(11) unsigned DEFAULT NULL,
  `sl_width` int(11) unsigned DEFAULT NULL,
  `pause_on_hover` text,
  `catalog_list_effects_s` text,
  `description` text,
  `url` text,
  `link_target` text,
  `param` text,
  `sl_position` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` text,
  `categories` text,
  `ht_show_sorting` text,
  `ht_show_filtering` text,
  `album_id` int(11) NOT NULL,
  `cat_thumb` text,
  `pagination_type` text,
  `count_into_page` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;


INSERT INTO `#__huge_it_catalogs` (`id`, `name`, `sl_height`, `sl_width`, `pause_on_hover`, `catalog_list_effects_s`, `description`, `url`, `link_target`, `param`, `sl_position`, `ordering`, `published`, `categories`, `ht_show_sorting`, `ht_show_filtering`, `album_id`, `cat_thumb`, `pagination_type`, `count_into_page`) VALUES
(8, 'Watches', 375, 600, 'on', '3', 'description2', 'url2', 'on', '1000', 'center', 1, '300', 'Condition,Brand,Movement,Color,CASE_DIAMETER,Color_Case,Segment,', 'off', 'off', 1, NULL, 'show_all', '2');


DROP TABLE IF EXISTS `#__huge_it_catalog_asc_seller`;


CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_asc_seller` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_name` text CHARACTER SET utf8 NOT NULL,
  `user_email` text CHARACTER SET utf8 NOT NULL,
  `user_phone` text CHARACTER SET utf8 NOT NULL,
  `user_massage` text CHARACTER SET utf8 NOT NULL,
  `user_ip` text CHARACTER SET utf8 NOT NULL,
  `date` text CHARACTER SET utf8 NOT NULL,
  `spam` text CHARACTER SET utf8 NOT NULL,
  `read_or_not` int(11) unsigned NOT NULL,
  `product_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;


DROP TABLE IF EXISTS `#__huge_it_catalog_general_params`;

CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_general_params` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title` varchar(200) CHARACTER SET utf8 NOT NULL,
  `description` text CHARACTER SET utf8 NOT NULL,
  `value` varchar(200) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=35 ;


INSERT INTO `#__huge_it_catalog_general_params` (`id`, `name`, `title`, `description`, `value`) VALUES
(8, 'ht_single_product_price_text', 'ht_single_product_price_text', '', 'Price'),
(9, 'ht_single_product_comments_text', 'ht_single_product_comments_text', '', 'Comments'),
(10, 'ht_single_product_parameters_text', 'ht_single_product_parameters_text', '', 'Parameters'),
(11, 'ht_single_product_rating_text', 'ht_single_product_rating_text', '', 'Rating'),
(12, 'ht_single_product_share_text', 'ht_single_product_share_text', '', 'Share'),
(13, 'ht_single_product_your_name_text', 'ht_single_product_your_name_text', '', 'Your Name'),
(14, 'ht_single_product_your_Comment_text', 'ht_single_product_your_Comment_text', '', 'Your Comment'),
(15, 'ht_single_product_captcha_text', 'ht_single_product_captcha_text', '', 'Captcha'),
(16, 'ht_single_product_invalid_captcha_text', 'ht_single_product_invalid_captcha_text', '', 'Invalid Captcha'),
(17, 'ht_single_product_asc_to_seller_text', 'ht_single_product_asc_to_seller_text', '', 'Contact Seller'),
(18, 'ht_single_product_your_mail_text', 'Your E-mail', '', 'Your E-mail'),
(19, 'ht_single_product_your_phone_text', 'Your Phone', '', 'Your Phone'),
(20, 'ht_single_product_your_message_text', 'Your Message', '', 'Your Message'),
(21, 'ht_catalog_general_message_to_admin', 'ht_catalog_general_message_to_admin', '', 'on'),
(22, 'ht_catalog_general_admin_email', 'ht_catalog_general_admin_email', '', ''),
(23, 'ht_catalog_general_admin_email_subject', 'ht_catalog_general_admin_email_subject', '', 'Admin subject'),
(24, 'ht_catalog_general_admin_email_message', 'ht_catalog_general_admin_email_message', '', 'Message For admin {userMessage}'),
(25, 'ht_catalog_general_admin_from_text', 'ht_catalog_general_admin_from_text', '', ''),
(26, 'ht_catalog_general_message_to_user', 'ht_catalog_general_message_to_user', '', 'on'),
(27, 'ht_catalog_general_user_subject', 'ht_catalog_general_user_subject', '', 'User subject'),
(28, 'ht_catalog_general_user_message', 'ht_catalog_general_user_message', '', 'Message for user'),
(29, 'ht_catalog_general_linkbutton_text', 'ht_catalog_general_linkbutton_text', '', 'View Product'),
(30, 'ht_single_product_show_asc_seller_button', 'ht_single_product_show_asc_seller_button', '', 'on'),
(31, 'ht_single_product_comments_submit_button_text', 'Zoom Window Type', '', 'Submit'),
(32, 'ht_single_product_asc_seller_popup_button_text', 'Zoom Window Type', '', 'Submit'),
(33, 'ht_single_product_asc_seller_button_text', 'ht_single_product_asc_seller_button_text', '', 'Contact Seller'),
(34, 'ht_single_product_invalid_mail_text', 'ht_single_product_invalid_mail_text', 'ht_single_product_invalid_mail_text', 'Invalid Email');

DROP TABLE IF EXISTS `#__huge_it_catalog_params`;

CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_params` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title` varchar(200) CHARACTER SET utf8 NOT NULL,
  `description` text CHARACTER SET utf8 NOT NULL,
  `value` varchar(200) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=315 ;


INSERT INTO `#__huge_it_catalog_params` (`id`, `name`, `title`, `description`, `value`) VALUES
(8, 'ht_view0_togglebutton_style', 'Toggle Button Style', 'Toggle Button Style', 'dark'),
(9, 'ht_view0_show_separator_lines', 'Show Separator Lines', 'Show Separator Lines', 'on'),
(10, 'ht_view0_linkbutton_text', 'Link Button Text', 'Link Button Text', 'View Product'),
(11, 'ht_view0_show_linkbutton', 'Show Link Button', 'Show Link Button', 'on'),
(12, 'ht_view0_linkbutton_background_hover_color', 'Link Button Background Hover Color', 'Link Button Background Hover Color', 'df2e1b'),
(13, 'ht_view0_linkbutton_background_color', 'Link Button Background Color', 'Link Button Background Color', 'e74c3c'),
(14, 'ht_view0_linkbutton_font_hover_color', 'Link Button Font Hover Color', 'Link Button Font Hover Color', 'ffffff'),
(15, 'ht_view0_linkbutton_color', 'Link Button Font Color', 'Link Button Font Color', 'ffffff'),
(16, 'ht_view0_linkbutton_font_size', 'Link Button Font Size', 'Link Button Font Size', '14'),
(17, 'ht_view0_description_color', 'Description Font Color', 'Description Font Color', '5b5b5b'),
(18, 'ht_view0_description_font_size', 'Description Font Size', 'Description Font Size', '14'),
(19, 'ht_view0_show_description', 'Show Description', 'Show Description', 'on'),
(20, 'ht_view0_thumbs_width', 'Thumbnails Width', 'Thumbnails Width', '75'),
(21, 'ht_view0_thumbs_position', 'Thumbnails Position', 'Thumbnails Position', 'before'),
(22, 'ht_view0_show_thumbs', 'Show Thumbnails', 'Show Thumbnails', 'on'),
(23, 'ht_view0_title_font_size', 'Title Font Size', 'Title Font Size', '15'),
(24, 'ht_view0_title_font_color', 'Title Font Color', 'Title Font Color', '555555'),
(25, 'ht_view0_element_border_width', 'Element Border Width', 'Element Border Width', '1'),
(26, 'ht_view0_element_border_color', 'Element Border Color', 'Element Border Color', 'D0D0D0'),
(27, 'ht_view0_element_background_color', 'Element Background Color', 'Element Background Color', 'f7f7f7'),
(28, 'ht_view0_block_width', 'Block Width', 'Block Width', '275'),
(29, 'ht_view0_block_height', 'Block Height', 'Block Height', '320'),
(30, 'ht_view1_show_separator_lines', 'Show Separator Lines', 'Show Separator Lines', 'on'),
(31, 'ht_view1_linkbutton_text', 'Link Button Text', 'Link Button Text', 'View Product'),
(32, 'ht_view1_show_linkbutton', 'Show Link Button', 'Show Link Button', 'on'),
(33, 'ht_view1_linkbutton_background_hover_color', 'Link Button Background Hover Color', 'Link Button Background Hover Color', 'df2e1b'),
(34, 'ht_view1_linkbutton_background_color', 'Link Button Background Color', 'Link Button Background Color', 'e74c3c'),
(35, 'ht_view1_linkbutton_font_hover_color', 'Link Button Font Hover Color', 'Link Button Font Hover Color', 'ffffff'),
(36, 'ht_view1_linkbutton_color', 'Link Button Font Color', 'Link Button Font Color', 'ffffff'),
(37, 'ht_view1_linkbutton_font_size', 'Link Button Font Size', 'Link Button Font Size', '14'),
(38, 'ht_view1_description_color', 'Description Font Color', 'Description Font Color', '5b5b5b'),
(39, 'ht_view1_description_font_size', 'Description Font Size', 'Description Font Size', '14'),
(40, 'ht_view1_show_description', 'Show Description', 'Show Description', 'on'),
(41, 'ht_view1_thumbs_width', 'Thumbnails Width', 'Thumbnails Width', '75'),
(42, 'ht_view1_thumbs_position', 'Thumbnails Position', 'Thumbnails Position', 'before'),
(43, 'ht_view1_show_thumbs', 'Show Thumbnails', 'Show Thumbnails', 'on'),
(44, 'ht_view1_title_font_size', 'Title Font Size', 'Title Font Size', '15'),
(45, 'ht_view1_title_font_color', 'Title Font Color', 'Title Font Color', '555555'),
(46, 'ht_view1_element_border_width', 'Element Border Width', 'Element Border Width', '1'),
(47, 'ht_view1_element_border_color', 'Element Border Color', 'Element Border Color', 'D0D0D0'),
(48, 'ht_view1_element_background_color', 'Element Background Color', 'Element Background Color', 'f7f7f7'),
(49, 'ht_view1_block_width', 'Block Width', 'Block Width', '275'),
(50, 'ht_view2_element_linkbutton_text', 'Link Button Text', 'Link Button Text', 'View Product'),
(51, 'ht_view2_element_show_linkbutton', 'Show Link Button On Element', 'Show Link Button On Element', 'on'),
(52, 'ht_view2_element_linkbutton_color', 'Element Link Button Font Color', 'Element Link Button Font Color', 'ffffff'),
(53, 'ht_view2_element_linkbutton_font_size', 'Element Link Button Font Size', 'Element Link Button Font Size', '14'),
(54, 'ht_view2_element_linkbutton_background_color', 'Element Link Button Background Color', 'Element Link Button Background Color', '2ea2cd'),
(55, 'ht_view2_show_popup_linkbutton', 'Show Link Button On Popup', 'Show Link Button On Popup', 'on'),
(56, 'ht_view2_popup_linkbutton_background_hover_color', 'Link Button Background Hover Color', 'Link Button Background Hover Color', '0074a2'),
(57, 'ht_view2_popup_linkbutton_background_color', 'Link Button Background Color', 'Link Button Background Color', '2ea2cd'),
(58, 'ht_view2_popup_linkbutton_font_hover_color', 'Link Button Font Hover Color', 'Link Button Font Hover Color', 'ffffff'),
(59, 'ht_view2_popup_linkbutton_color', 'Element Link Button Font Color', 'Link Button Font Color', 'ffffff'),
(60, 'ht_view2_popup_linkbutton_font_size', 'Element Link Button Font Size', 'Link Button Font Size', '14'),
(61, 'ht_view2_description_color', 'Description Font Color', 'Description Font Color', '222222'),
(62, 'ht_view2_description_font_size', 'Description Font Size', 'Description Font Size', '14'),
(63, 'ht_view2_show_description', 'Show Description', 'Show Description', 'on'),
(64, 'ht_view2_thumbs_width', 'Thumbnails Width', 'Thumbnails Width', '75'),
(65, 'ht_view2_thumbs_height', 'Thumbnails Height', 'Thumbnails Height', '75'),
(66, 'ht_view2_thumbs_position', 'Thumbnails Position', 'Thumbnails Position', 'before'),
(67, 'ht_view2_show_thumbs', 'Show Thumbnails', 'Show Thumbnails', 'on'),
(68, 'ht_view2_popup_background_color', 'Popup Background Color', 'Popup Background Color', 'FFFFFF'),
(69, 'ht_view2_popup_overlay_color', 'Popup Overlay Color', 'Popup Overlay Color', '000000'),
(70, 'ht_view2_popup_overlay_transparency_color', 'Popup Overlay Transparency', 'Popup Overlay Transparency ', '70'),
(71, 'ht_view2_popup_closebutton_style', 'Popup Close Button Style', 'Popup Close Button Style', 'dark'),
(72, 'ht_view2_show_separator_lines', 'Show Separator Lines', 'Show Separator Lines', 'on'),
(73, 'ht_view2_show_popup_title', 'Show Popup Title', 'Show Popup Title', 'on'),
(74, 'ht_view2_element_title_font_size', 'Element Title Font Size', 'Element Title Font Size', '18'),
(75, 'ht_view2_element_title_font_color', 'Element Title Font Color', 'Element Title Font Color', '222222'),
(76, 'ht_view2_popup_title_font_size', 'Popup Title Font Size', 'Popup Title Font Size', '18'),
(77, 'ht_view2_popup_title_font_color', 'Popup Title Font Color', 'Popup Title Font Color', '222222'),
(78, 'ht_view2_element_overlay_color', 'Element Overlay Color', 'Element Overlay Color', 'FFFFFF'),
(79, 'ht_view2_element_overlay_transparency', 'Element Overlay Transparency', 'Element Overlay Transparency ', '70'),
(80, 'ht_view2_zoombutton_style', 'Zoom Button Style', 'Zoom Button Style', 'light'),
(81, 'ht_view2_element_border_width', 'Element Border Width', 'Element Border Width', '1'),
(82, 'ht_view2_element_border_color', 'Element Border Color', 'Element Border Color', 'dedede'),
(83, 'ht_view2_element_background_color', 'Element Background Color', 'Element Background Color', 'f9f9f9'),
(84, 'ht_view2_element_width', 'Block Width', 'Block Width', '275'),
(85, 'ht_view2_element_height', 'Block Height', 'Block Height', '320'),
(86, 'ht_view3_show_separator_lines', 'Show Separator Lines', 'Show Separator Lines', 'on'),
(87, 'ht_view3_linkbutton_text', 'Link Button Text', 'Link Button Text', 'View Product'),
(88, 'ht_view3_show_linkbutton', 'Show Link Button', 'Show Link Button', 'on'),
(89, 'ht_view3_linkbutton_background_hover_color', 'Link Button Background Hover Color', 'Link Button Background Hover Color', '0074a2'),
(90, 'ht_view3_linkbutton_background_color', 'Link Button Background Color', 'Link Button Background Color', '2ea2cd'),
(91, 'ht_view3_linkbutton_font_hover_color', 'Link Button Font Hover Color', 'Link Button Font Hover Color', 'ffffff'),
(92, 'ht_view3_linkbutton_color', 'Link Button Font Color', 'Link Button Font Color', 'ffffff'),
(93, 'ht_view3_linkbutton_font_size', 'Link Button Font Size', 'Link Button Font Size', '14'),
(94, 'ht_view3_description_color', 'Description Font Color', 'Description Font Color', '555555'),
(95, 'ht_view3_description_font_size', 'Description Font Size', 'Description Font Size', '14'),
(96, 'ht_view3_show_description', 'Show Description', 'Show Description', 'on'),
(97, 'ht_view3_thumbs_width', 'Thumbnails Width', 'Thumbnails Width', '75'),
(98, 'ht_view3_thumbs_height', 'Thumbnails Height', 'Thumbnails Hight', '75'),
(99, 'ht_view3_show_thumbs', 'Show Thumbnails', 'Show Thumbnails', 'on'),
(100, 'ht_view3_title_font_size', 'Title Font Size', 'Title Font Size', '18'),
(101, 'ht_view3_title_font_color', 'Title Font Color', 'Title Font Color', '0074a2'),
(102, 'ht_view3_mainimage_width', 'Main Image Width', 'Main Image Width', '240'),
(103, 'ht_view3_element_border_width', 'Element Border Width', 'Element Border Width', '1'),
(104, 'ht_view3_element_border_color', 'Element Border Color', 'Element Border Color', 'dedede'),
(105, 'ht_view3_element_background_color', 'Element Background Color', 'Element Background Color', 'f9f9f9'),
(106, 'ht_view5_icons_style', 'Icons Style', 'Icons Style', 'dark'),
(107, 'ht_view5_show_separator_lines', 'Show Separator Lines', 'Show Separator Lines', 'on'),
(108, 'ht_view5_linkbutton_text', 'Link Button Text', 'Link Button Text', 'View Product'),
(109, 'ht_view5_show_linkbutton', 'Show Link Button', 'Show Link Button', 'on'),
(110, 'ht_view5_linkbutton_background_hover_color', 'Link Button Background Hover Color', 'Link Button Background Hover Color', '0074a2'),
(111, 'ht_view5_linkbutton_background_color', 'Link Button Background Color', 'Link Button Background Color', '2ea2cd'),
(112, 'ht_view5_linkbutton_font_hover_color', 'Link Button Font Hover Color', 'Link Button Font Hover Color', 'ffffff'),
(113, 'ht_view5_linkbutton_color', 'Link Button Font Color', 'Link Button Font Color', 'ffffff'),
(114, 'ht_view5_linkbutton_font_size', 'Link Button Font Size', 'Link Button Font Size', '14'),
(115, 'ht_view5_description_color', 'Description Font Color', 'Description Font Color', '555555'),
(116, 'ht_view5_description_font_size', 'Description Font Size', 'Description Font Size', '14'),
(117, 'ht_view5_show_description', 'Show Description', 'Show Description', 'on'),
(118, 'ht_view5_thumbs_width', 'Thumbnails Width', 'Thumbnails Width', '75'),
(119, 'ht_view5_thumbs_height', 'Thumbnails Height', 'Thumbnails Hight', '75'),
(120, 'ht_view5_show_thumbs', 'Show Thumbnails', 'Show Thumbnails', 'on'),
(121, 'ht_view5_title_font_size', 'Title Font Size', 'Title Font Size', '16'),
(122, 'ht_view5_title_font_color', 'Title Font Color', 'Title Font Color', '0074a2'),
(123, 'ht_view5_main_image_width', 'Main Image Width', 'Main Image Width', '275'),
(124, 'ht_view5_slider_tabs_font_color', 'Slider Tabs Font Color', 'Slider Tabs Font Color', 'd9d99'),
(125, 'ht_view5_slider_tabs_background_color', 'Slider Tabs Background Color', 'Slider Tabs Background Color', '555555'),
(126, 'ht_view5_slider_background_color', 'Slider Background Color', 'Slider Background Color', 'f9f9f9'),
(127, 'ht_view6_title_font_size', 'Title Font Size', 'Title Font Size', '16'),
(128, 'ht_view6_title_font_color', 'Title Font Color', 'Title Font Color', '0074A2'),
(129, 'ht_view6_title_font_hover_color', 'Title Font Hover Color', 'Title Font Hover Color', '2EA2CD'),
(130, 'ht_view6_title_background_color', 'Title Background Color', 'Title Background Color', '000000'),
(131, 'ht_view6_title_background_transparency', 'Title Background Transparency', 'Title Background Transparency', '80'),
(132, 'ht_view6_border_radius', 'Image Border Radius', 'Image Border Radius', '3'),
(133, 'ht_view6_border_width', 'Image Border Width', 'Image Border Width', '0'),
(134, 'ht_view6_border_color', 'Image Border Color', 'Image Border Color', 'eeeeee'),
(135, 'ht_view6_width', 'Image Width', 'Image Width', '275'),
(136, 'light_box_size', 'Light box size', 'Light box size', '17'),
(137, 'light_box_width', 'Light Box width', 'Light Box width', '500'),
(138, 'light_box_transition', 'Light Box Transition', 'Light Box Transition', 'elastic'),
(139, 'light_box_speed', 'Light box speed', 'Light box speed', '800'),
(140, 'light_box_href', 'Light box href', 'Light box href', 'False'),
(141, 'light_box_title', 'Light box Title', 'Light box Title', 'false'),
(142, 'light_box_scalephotos', 'Light box scalePhotos', 'Light box scalePhotos', 'true'),
(143, 'light_box_rel', 'Light Box rel', 'Light Box rel', 'false'),
(144, 'light_box_scrolling', 'Light box Scrollin', 'Light box Scrollin', 'false'),
(145, 'light_box_opacity', 'Light box Opacity', 'Light box Opacity', '20'),
(146, 'light_box_open', 'Light box Open', 'Light box Open', 'false'),
(147, 'light_box_overlayclose', 'Light box overlayClose', 'Light box overlayClose', 'true'),
(148, 'light_box_esckey', 'Light box escKey', 'Light box escKey', 'false'),
(149, 'light_box_arrowkey', 'Light box arrowKey', 'Light box arrowKey', 'false'),
(150, 'light_box_loop', 'Light box loop', 'Light box loop', 'true'),
(151, 'light_box_data', 'Light box data', 'Light box data', 'false'),
(152, 'light_box_classname', 'Light box className', 'Light box className', 'false'),
(153, 'light_box_fadeout', 'Light box fadeOut', 'Light box fadeOut', '300'),
(154, 'light_box_closebutton', 'Light box closeButton', 'Light box closeButton', 'false'),
(155, 'light_box_current', 'Light box current', 'Light box current', 'image'),
(156, 'light_box_previous', 'Light box previous', 'Light box previous', 'previous'),
(157, 'light_box_next', 'Light box next', 'Light box next', 'next'),
(158, 'light_box_close', 'Light box close', 'Light box close', 'close'),
(159, 'light_box_iframe', 'Light box iframe', 'Light box iframe', 'false'),
(160, 'light_box_inline', 'Light box inline', 'Light box inline', 'false'),
(161, 'light_box_html', 'Light box html', 'Light box html', 'false'),
(162, 'light_box_photo', 'Light box photo', 'Light box photo', 'false'),
(163, 'light_box_height', 'Light box height', 'Light box height', '500'),
(164, 'light_box_innerwidth', 'Light box innerWidth', 'Light box innerWidth', 'false'),
(165, 'light_box_innerheight', 'Light box innerHeight', 'Light box innerHeight', 'false'),
(166, 'light_box_initialwidth', 'Light box initialWidth', 'Light box initialWidth', '300'),
(167, 'light_box_initialheight', 'Light box initialHeight', 'Light box initialHeight', '100'),
(168, 'light_box_maxwidth', 'Light box maxWidth', 'Light box maxWidth', '768'),
(169, 'light_box_maxheight', 'Light box maxHeight', 'Light box maxHeight', '500'),
(170, 'light_box_slideshow', 'Light box slideshow', 'Light box slideshow', 'false'),
(171, 'light_box_slideshowspeed', 'Light box slideshowSpeed', 'Light box slideshowSpeed', '2500'),
(172, 'light_box_slideshowauto', 'Light box slideshowAuto', 'Light box slideshowAuto', 'true'),
(173, 'light_box_slideshowstart', 'Light box slideshowStart', 'Light box slideshowStart', 'start slideshow'),
(174, 'light_box_slideshowstop', 'Light box slideshowStop', 'Light box slideshowStop', 'stop slideshow'),
(175, 'light_box_fixed', 'Light box fixed', 'Light box fixed', 'true'),
(176, 'light_box_top', 'Light box top', 'Light box top', 'false'),
(177, 'light_box_bottom', 'Light box bottom', 'Light box bottom', 'false'),
(178, 'light_box_left', 'Light box left', 'Light box left', 'false'),
(179, 'light_box_right', 'Light box right', 'Light box right', 'false'),
(180, 'light_box_reposition', 'Light box reposition', 'Light box reposition', 'false'),
(181, 'light_box_retinaimage', 'Light box retinaImage', 'Light box retinaImage', 'true'),
(182, 'light_box_retinaurl', 'Light box retinaUrl', 'Light box retinaUrl', 'false'),
(183, 'light_box_retinasuffix', 'Light box retinaSuffix', 'Light box retinaSuffix', '@2x.$1'),
(184, 'light_box_returnfocus', 'Light box returnFocus', 'Light box returnFocus', 'true'),
(185, 'light_box_trapfocus', 'Light box trapFocus', 'Light box trapFocus', 'true'),
(186, 'light_box_fastiframe', 'Light box fastIframe', 'Light box fastIframe', 'true'),
(187, 'light_box_preloading', 'Light box preloading', 'Light box preloading', 'true'),
(188, 'slider_title_position', 'Slider title position', 'Slider title position', '5'),
(189, 'light_box_style', 'Light Box style', 'Light Box style', '1'),
(190, 'light_box_size_fix', 'Light Box size fix style', 'Light Box size fix style', 'false'),
(191, 'ht_view2_popup_full_width', 'Popup Image Full Width', 'Popup Image Full Width', 'on'),
(192, 'ht_view0_price_text', 'ht_catalog_view0_price_text', 'ht_catalog_view0_price_text', 'Price'),
(193, 'ht_catalog_view0_market_price_text', 'ht_catalog_view0_market_price_text', 'ht_catalog_view0_market_price_text', 'Discount Price'),
(194, 'ht_view1_price_text', 'ht_catalog_view1_price_text', 'ht_catalog_view1_price_text', 'Price'),
(195, 'ht_catalog_view1_market_price_text', 'ht_catalog_view1_market_price_text', 'ht_catalog_view1_market_price_text', 'Discount Price'),
(196, 'ht_view2_price_text', 'ht_catalog_view2_price_text', 'ht_catalog_view2_price_text', 'Price'),
(197, 'ht_catalog_view2_market_price_text', 'ht_catalog_view2_market_price_text', 'ht_catalog_view2_market_price_text', 'Discount Price'),
(198, 'ht_view3_price_text', 'ht_catalog_view3_price_text', 'ht_catalog_view3_price_text', 'Price'),
(199, 'ht_catalog_view3_market_price_text', 'ht_catalog_view3_market_price_text', 'ht_catalog_view3_market_price_text', 'Discount Price'),
(200, 'ht_view5_price_text', 'ht_catalog_view5_price_text', 'ht_catalog_view5_price_text', 'Price'),
(201, 'ht_catalog_view5_market_price_text', 'ht_catalog_view5_market_price_text', 'ht_catalog_view5_market_price_text', 'Discount Price'),
(202, 'ht_catalog_view0_show_price', 'ht_catalog_view0_show_price', 'ht_catalog_view0_show_price', 'on'),
(203, 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', '15'),
(204, 'ht_catalog_view0_price_font_color', 'ht_catalog_view0_price_font_color', 'ht_catalog_view0_price_font_color', 'e74c3c'),
(205, 'ht_catalog_view0_market_price_font_size', 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', '15'),
(206, 'ht_catalog_view0_market_price_font_color', 'ht_catalog_view0_market_price_font_color', 'ht_catalog_view0_market_price_font_color', '000000'),
(207, 'ht_catalog_view1_show_price', 'ht_catalog_view1_show_price', 'ht_catalog_view1_show_price', 'on'),
(208, 'ht_catalog_view1_price_font_size', 'ht_catalog_view1_price_font_size', 'ht_catalog_view1_price_font_size', '15'),
(209, 'ht_catalog_view1_price_font_color', 'ht_catalog_view1_price_font_color', 'ht_catalog_view1_price_font_color', 'e74c3c'),
(210, 'ht_catalog_view1_market_price_font_size', 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', '15'),
(211, 'ht_catalog_view1_market_price_font_color', 'ht_catalog_view1_market_price_font_color', 'ht_catalog_view1_market_price_font_color', '000000'),
(212, 'ht_catalog_view2_show_price', 'ht_catalog_view2_show_price', 'ht_catalog_view2_show_price', 'on'),
(213, 'ht_catalog_view2_price_font_size', 'ht_catalog_view2_price_font_size', 'ht_catalog_view2_price_font_size', '15'),
(214, 'ht_catalog_view2_price_font_color', 'ht_catalog_view2_price_font_color', 'ht_catalog_view2_price_font_color', 'e74c3c'),
(215, 'ht_catalog_view2_market_price_font_size', 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', '15'),
(216, 'ht_catalog_view2_market_price_font_color', 'ht_catalog_view2_market_price_font_color', 'ht_catalog_view2_market_price_font_color', '000000'),
(217, 'ht_catalog_view3_show_price', 'ht_catalog_view3_show_price', 'ht_catalog_view3_show_price', 'on'),
(218, 'ht_catalog_view3_price_font_size', 'ht_catalog_view3_price_font_size', 'ht_catalog_view3_price_font_size', '15'),
(219, 'ht_catalog_view3_price_font_color', 'ht_catalog_view3_price_font_color', 'ht_catalog_view3_price_font_color', '0074a2'),
(220, 'ht_catalog_view3_market_price_font_size', 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', '15'),
(221, 'ht_catalog_view3_market_price_font_color', 'ht_catalog_view3_market_price_font_color', 'ht_catalog_view3_market_price_font_color', '000000'),
(222, 'ht_catalog_view5_show_price', 'ht_catalog_view5_show_price', 'ht_catalog_view5_show_price', 'on'),
(223, 'ht_catalog_view5_price_font_size', 'ht_catalog_view5_price_font_size', 'ht_catalog_view5_price_font_size', '15'),
(224, 'ht_catalog_view5_price_font_color', 'ht_catalog_view5_price_font_color', 'ht_catalog_view5_price_font_color', '0074a2'),
(225, 'ht_catalog_view5_market_price_font_size', 'ht_catalog_view0_price_font_size', 'ht_catalog_view0_price_font_size', '15'),
(226, 'ht_catalog_view5_market_price_font_color', 'ht_catalog_view5_market_price_font_color', 'ht_catalog_view5_market_price_font_color', '000000'),
(227, 'ht_catalog_zoom_window_type', 'Zoom Window Type', 'Zoom Window Type', 'window'),
(228, 'ht_catalog_zoom_window_width', 'Zoom Window Width', 'Zoom Window Width', '300'),
(229, 'ht_catalog_zoom_window_height', 'Zoom Window Height', 'Zoom Window Height', '200'),
(230, 'ht_catalog_zoom_x_asis', 'Zoom Window X asis', 'Zoom Window X asis', '0'),
(231, 'ht_catalog_zoom_y_asis', 'Zoom Window Y asis', 'Zoom Window Y asis', '200'),
(232, 'ht_catalog_zoom_window_position', 'Zoom Window position', 'Zoom Window position', '16'),
(233, 'ht_catalog_zoom_window_border_size', 'Zoom Window Border Size', 'Zoom Window Size', '0'),
(234, 'ht_catalog_zoom_window_border_color', 'Zoom Window Boreder Color', 'Zoom Window Boreder Color', '#000'),
(235, 'ht_catalog_zoom_window_lens_size', 'Zoom Window Lens Size', 'Zoom Window Lens Size', '200'),
(236, 'ht_catalog_zoom_window_fadein', 'Zoom Window Boreder Color', 'Zoom Window Boreder Color', '200'),
(237, 'ht_catalog_zoom_window_fadeout', 'Zoom Window Lens Size', 'Zoom Window Lens Size', '200'),
(238, 'ht_catalog_zoom_lens_fadein', 'Zoom Lens Fadein', 'Zoom Lens Fadein', '200'),
(239, 'ht_catalog_zoom_lens_fadeout', 'Zoom Lens Fadeout', 'Zoom Lens Fadeout', '200'),
(240, 'ht_catalog_zoom_lens_hide', 'Zoom Lens Hide', 'Zoom Lens Hide', 'false'),
(241, 'ht_catalog_zoom_lens_shape', 'ZoomLens Shape', 'Zoom Lens Shape', 'square'),
(242, 'ht_catalog_zoom_lens_color', 'Zoom Lens Color', 'Zoom Lens Color', '#fff'),
(243, 'ht_catalog_zoom_lens_opacity', 'Zoom Window Lens Opacity', 'Zoom Lens Opacity', '40'),
(244, 'ht_catalog_zoom_cursor', 'Zoom Cursor', 'Zoom Cursor', 'crosshair'),
(245, 'ht_catalog_zoom_scrollzoom', 'Scroll Zoom', 'Scroll Zoom', 'true'),
(246, 'ht_catalog_zoom_easing', 'Zoom easing', 'Zoom easing', 'true'),
(247, 'ht_catalog_zoom_lens_size_fix', 'Zoom easing', 'Zoom easing', 'false'),
(248, 'ht_catalog_zoom_lens_height', 'Zoom easing', 'Zoom easing', '100'),
(249, 'ht_catalog_zoom_lens_width', 'Zoom easing', 'Zoom easing', '100'),
(250, 'ht_catalog_zoom_tint', 'Zoom Tint', 'Zoom Tint', 'false'),
(251, 'ht_catalog_zoom_tint_colour', 'Zoom Tint Color', 'Zoom Tint Color', '#fff'),
(252, 'ht_catalog_zoom_tint_opacity', 'Zoom Tint Opacity', 'Zoom Tint Opacity', '40'),
(253, 'ht_catalog_zoom_tint_fadein', 'Zoom Tint Fadein Speed', 'Zoom Tint Fadein Speed', '200'),
(254, 'ht_catalog_zoom_tint_fadeout', 'Zoom Tint Fadeout Speed', 'Zoom Tint Fadeout Speed', '200'),
(255, 'ht_view3_allow_lightbox', 'View Mode', 'View Mode', 'on'),
(256, 'ht_catalog_zoom_thumbs_zoom', 'Allow Thumbs Zoom', 'Allow Thumbs Zoom', 'off'),
(257, 'ht_view3_allow_zooming', 'View Mode', 'View Mode', 'on'),
(258, 'ht_view0_allow_lightbox', 'View Mode', 'View Mode', 'on'),
(259, 'ht_view1_allow_lightbox', 'View Mode', 'View Mode', 'on'),
(260, 'ht_view2_allow_lightbox', 'View Mode', 'View Mode', 'on'),
(261, 'ht_view5_allow_lightbox', 'View Mode', 'View Mode', 'on'),
(262, 'ht_view0_allow_zooming', 'View Mode', 'View Mode', 'off'),
(263, 'ht_view1_allow_zooming', 'View Mode', 'View Mode', 'on'),
(264, 'ht_view2_allow_zooming', 'View Mode', 'View Mode', 'on'),
(265, 'ht_view5_allow_zooming', 'View Mode', 'View Mode', 'on'),
(266, 'htc_view0_load_more_position', 'Load More Position', 'Load More Position', 'center'),
(267, 'htc_view1_load_more_position', 'Load More Position', 'Load More Position', 'center'),
(268, 'htc_view2_load_more_position', 'Load More Position', 'Load More Position', 'center'),
(269, 'htc_view3_load_more_position', 'Load More Position', 'Load More Position', 'center'),
(270, 'htc_view0_load_more_font_size', 'Load More Position', 'Load More Font Size', '18'),
(271, 'htc_view1_load_more_font_size', 'Load More Position', 'Load More Font Size', '18'),
(272, 'htc_view2_load_more_font_size', 'Load More Position', 'Load More Font Size', '22'),
(273, 'htc_view3_load_more_font_size', 'Load More Position', 'Load More Font Size', '20'),
(274, 'htc_view0_load_more_font_color', 'Load More Position', 'Load More Font Color', 'FFFFFF '),
(275, 'htc_view1_load_more_font_color', 'Load More Position', 'Load More Font Color', 'FFFFFF '),
(276, 'htc_view2_load_more_font_color', 'Load More Position', 'Load More Font Color', 'FFFFFF '),
(277, 'htc_view3_load_more_font_color', 'Load More Position', 'Load More Font Color', 'FFFFFF '),
(278, 'htc_view0_load_more_font_hover_color', 'Load More Position', 'Load More Font Hover Color', 'FFFFFF'),
(279, 'htc_view1_load_more_font_hover_color', 'Load More Position', 'Load More Font Hover Color', 'FFFFFF'),
(280, 'htc_view2_load_more_font_hover_color', 'Load More Position', 'Load More Font Hover Color', 'F2F2F2'),
(281, 'htc_view3_load_more_font_hover_color', 'Load More Position', 'Load More Font Hover Color', 'FFFFFF'),
(282, 'htc_view0_load_more_button_background_color', 'Load More Position', 'Load More Button Background Color', 'A1A1A1'),
(283, 'htc_view1_load_more_button_background_color', 'Load More Position', 'Load More Button Background Color', 'A1A1A1'),
(284, 'htc_view2_load_more_button_background_color', 'Load More Position', 'Load More Button Background Color', 'FF2C2C '),
(285, 'htc_view3_load_more_button_background_color', 'Load More Position', 'Load More Button Background Color', 'A1A1A1 '),
(286, 'htc_view0_load_more_button_background_hover_color', 'Load More Position', 'Load More Background Hover Color', 'A1A1A1'),
(287, 'htc_view1_load_more_button_background_hover_color', 'Load More Position', 'Load More Background Hover Color', 'A1A1A1'),
(288, 'htc_view2_load_more_button_background_hover_color', 'Load More Position', 'Load More Background Hover Color', '991A1A'),
(289, 'htc_view3_load_more_button_background_hover_color', 'Load More Position', 'Load More Background Hover Color', 'A1A1A1'),
(290, 'htc_view0_load_more_loading_icon', 'Load More Position', 'Loading Icon', '1'),
(291, 'htc_view1_load_more_loading_icon', 'Load More Position', 'Loading Icon', '2'),
(292, 'htc_view2_load_more_loading_icon', 'Load More Position', 'Loading Icon', '3'),
(293, 'htc_view3_load_more_loading_icon', 'Load More Position', 'Loading Icon', '4'),
(294, 'htc_view0_pagination_font_size', 'Load More Position', 'Loading Icon', '22'),
(295, 'htc_view1_pagination_font_size', 'Load More Position', 'Loading Icon', '22'),
(296, 'htc_view2_pagination_font_size', 'Load More Position', 'Loading Icon', '22'),
(297, 'htc_view3_pagination_font_size', 'Load More Position', 'Loading Icon', '22'),
(298, 'htc_view0_pagination_font_color', 'Load More Position', 'Loading Icon', '000'),
(299, 'htc_view1_pagination_font_color', 'Load More Position', 'Loading Icon', '000'),
(300, 'htc_view2_pagination_font_color', 'Load More Position', 'Loading Icon', '000'),
(301, 'htc_view3_pagination_font_color', 'Load More Position', 'Loading Icon', '000'),
(302, 'htc_view0_pagination_icon_size', 'Load More Position', 'Loading Icon', '22'),
(303, 'htc_view1_pagination_icon_size', 'Load More Position', 'Loading Icon', '22'),
(304, 'htc_view2_pagination_icon_size', 'Load More Position', 'Loading Icon', '22'),
(305, 'htc_view3_pagination_icon_size', 'Load More Position', 'Loading Icon', '22'),
(306, 'htc_view0_pagination_icon_color', 'Load More Position', 'Loading Icon', '000'),
(307, 'htc_view1_pagination_icon_color', 'Load More Position', 'Loading Icon', '000'),
(308, 'htc_view2_pagination_icon_color', 'Load More Position', 'Loading Icon', '000'),
(309, 'htc_view3_pagination_icon_color', 'Load More Position', 'Loading Icon', '000'),
(310, 'htc_view0_pagination_position', 'pagination Position', 'Loading Icon', 'center'),
(311, 'htc_view1_pagination_position', 'pagination Position', 'Loading Icon', 'center'),
(312, 'htc_view2_pagination_position', 'pagination Position', 'Loading Icon', 'center'),
(313, 'htc_view3_pagination_position', 'pagination Position', 'Loading Icon', 'center'),
(314, 'ht_view5_allow_lightbox', 'Allow lightbox', 'Allow lightbox', 'on');


DROP TABLE IF EXISTS `#__huge_it_catalog_products`;

CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_products` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `catalog_id` varchar(200) DEFAULT NULL,
  `description` text,
  `image_url` text,
  `sl_url` varchar(128) DEFAULT NULL,
  `sl_type` text NOT NULL,
  `link_target` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `published` tinyint(4) unsigned DEFAULT NULL,
  `published_in_sl_width` text NOT NULL,
  `price` varchar(200) NOT NULL,
  `market_price` varchar(200) NOT NULL,
  `parameters` text NOT NULL,
  `single_product_url_type` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;


INSERT INTO `#__huge_it_catalog_products` (`id`, `name`, `catalog_id`, `description`, `image_url`, `sl_url`, `sl_type`, `link_target`, `ordering`, `published`, `published_in_sl_width`, `price`, `market_price`, `parameters`, `single_product_url_type`) VALUES
(21, 'Aerodinamico Carbon Fibre Chronograph Watch', '8', '<p>Aerodynamics and aesthetics blend seamlessly in this line of casually sophisticated Scuderia Ferrari timepieces.\r\nDesigned to hit the racetrack in sleek, wind-deflecting style, Aerodinamico features an integrated, ventilated silicone strap molded to echo the design of the diffuser on the Scuderia Ferrari single-seater.\r\nIts masculine 46mm TR90 thermoplastic chassis reveals a distinctive stepped case design with curved rectangular contours</p>', 'media/com_catalog/Front_images/projects/6.jpg;media/com_catalog/Front_images/projects/6.1.jpg;media/com_catalog/Front_images/projects/6.2.jpg;media/com_catalog/Front_images/projects/6.3.jpg;', NULL, '', 'off', 1, NULL, '10', '$415.00', '$315.00', '@@Condition@NEW@@Brand@FERRARI@@Movement@CHRONOGRAPH@@Color@BLACK@@CASE DIAMETER@46 MM@@Color Case@BLACK@@Segment@CHALLENGE', 'default'),
(20, 'Scuderia Ferrari Aero Touch', '8', '<p>Aerodynamics and aesthetics blend seamlessly in this line of casually sophisticated Scuderia Ferrari timepieces. Designed to hit the racetrack in sleek, wind-deflecting style, Aerodinamico features an integrated, ventilated silicone strap molded to echo the design of the diffuser on the Scuderia Ferrari single-seater. Its masculine 46mm TR90 thermoplastic chassis reveals a distinctive stepped case design with curved rectangular contours..</p>', 'media/com_catalog/Front_images/projects/5.jpg;media/com_catalog/Front_images/projects/5.1.jpg;media/com_catalog/Front_images/projects/5.2.jpg;media/com_catalog/Front_images/projects/5.3.jpg;', NULL, '', 'off', 3, NULL, '10', ' $300.00', ' $235.00', '@@Condition@NEW@@Brand@FERRARI@@Movement@DIGITAL@@Color@BLACK@@CASE DIAMETER@46 MM@@Color Case@BLACK@@Segment@FANS', 'default'),
(16, 'Pit Crew Watch', '8', '<p>Capturing all the thrills of race day with its tire-design crown, Pit Crew adds new 3-hand bracelet models with bold links made of silicon-wrapped TR90, a high tech thermoplastic composite prized for its light weight and rich color. New designs feature graphic new stylized stripe straps suggested by an aerial view of the Abu-Dhabi Ferrari World theme park, or the Racing Shield logo on the strap upper half, mimicking the position of the shield on the sides of the racing cars.</p>', 'media/com_catalog/Front_images/projects/1.jpg;media/com_catalog/Front_images/projects/1.3.jpg;media/com_catalog/Front_images/projects/1.2.jpg;media/com_catalog/Front_images/projects/1.1.jpg;', NULL, '', 'off', 5, NULL, '10', '$200.00', '$135.00', '@@Condition@NEW@@Brand@FERRARI@@Movement@QUARTZ@@Color@BLUE@@CASE DIAMETER@44 MM@@Color Case@BLUE@@Segment@FANS', 'default'),
(17, 'Scuderia Ferrari chronograph', '8', 'Available from next week on our Worldwide online store for all our customers.\r\nAvailable on our US online store in the beginning of July. \r\n<p>вЂњScuderiaвЂќ,  Ferrari''s most classic watch line, boasts a timeless style with traditional male details, including its 44 mm case. </p>', 'media/com_catalog/Front_images/projects/2.jpg;media/com_catalog/Front_images/projects/2.1.jpg;media/com_catalog/Front_images/projects/2.2.jpg;media/com_catalog/Front_images/projects/2.3.jpg;', NULL, '', 'off', 7, NULL, '10', '$550.45', '$445.00', '@@Condition@NEW@@Brand@FERRARI@@Movement@CHRONOGRAPH@@Color@BLACK@@CASE DIAMETER@44 MM@@Color Case@STAINLESS STEEL@@Segment@ESSENZIALE', 'default'),
(18, 'Grand Prix Watch', '8', '<p>In 2013, Gran Premio premiered as a pinnacle family of automatic timepieces inspired by the high-performance 2005 FXX car. New quartz-powered 3-hand and chronograph models on strap and bracelet join this distinguished family. The diamond pattern on the new leather strap was inspired by the pattern on the vented steering wheel of another venerated race car.</p>', 'media/com_catalog/Front_images/projects/3.jpg;media/com_catalog/Front_images/projects/3.1.jpg;media/com_catalog/Front_images/projects/3.2.jpg;media/com_catalog/Front_images/projects/3.3.jpg;', NULL, '', 'off', 11, NULL, '10', '$350.00', '$295.00', '@@Condition@NEW@@Brand@FERRARI@@Movement@QUARTZ@@Color@WHITE@@CASE DIAMETER@45 MM@@Color Case@STAINLESS STEEL@@Segment@ESSENZIALE', 'default'),
(19, 'D50 Chronograph Watch', '8', '<p>Proudly invoking the past, the name of this Scuderia Ferrari watch collection pays tribute to the single-seater that brought the DriverвЂ™s World Championship to Maranello in 1956.\r\nThe distinctively thin 44 mm D-50 case features fluidly elongated lugs and a glare-reducing domed crystal, popular in wristwatches from that era.</p>', 'media/com_catalog/Front_images/projects/4.jpg;media/com_catalog/Front_images/projects/4.1.jpg;media/com_catalog/Front_images/projects/4.2.jpg;media/com_catalog/Front_images/projects/4.3.jpg;', NULL, '', 'off', 9, NULL, '10', '$415.00', '$315.00', '@@Condition@NEW@@Brand@FERRARI@@Movement@ CHRONOGRAPH@@Color@YELLOW & BLACK@@CASE DIAMETER@44 MM@@Color Case@STAINLESS STEEL@@Segment@CLASSICHE', 'default');


DROP TABLE IF EXISTS `#__huge_it_catalog_product_params`;

CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_product_params` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title` varchar(200) CHARACTER SET utf8 NOT NULL,
  `value` varchar(200) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=84 ;


INSERT INTO `#__huge_it_catalog_product_params` (`id`, `name`, `title`, `value`) VALUES
(8, 'ht_single_product_allow_lightbox', 'Allow Lightbox', 'on'),
(9, 'ht_single_product_allow_zooming', 'Allow Zooming', 'on'),
(10, 'ht_single_product_border_width', 'Product Border Width', '1'),
(11, 'ht_single_product_border_color', 'Product Border Color', 'f9f9f9'),
(12, 'ht_single_product_background_color', 'Product Background Color', 'efefef'),
(13, 'ht_single_product_mainimage_width', 'Product Image Width', '240'),
(14, 'ht_single_product_show_separator_lines', 'Product Show Separator Lines', 'on'),
(15, 'ht_single_product_title_font_size', 'Product Title Font Size', '24'),
(16, 'ht_single_product_title_font_color', 'Product Title Font Color', '0074A2'),
(17, 'ht_single_product_show_description', 'Product Show Description', 'on'),
(18, 'ht_single_product_description_font_size', 'Product Description Font Size', '14'),
(19, 'ht_single_product_description_font_color', 'Product Description Font Color', '000'),
(20, 'ht_single_product_show_thumbs', 'Product Show Thumbs', 'on'),
(21, 'ht_single_product_thumbs_width', 'Product Thumbs Width', '75'),
(22, 'ht_single_product_thumbs_height', 'Product Thumbs Height', '75'),
(23, 'ht_single_product_price_font_size', 'Product Price Font Size', '14'),
(24, 'ht_single_product_price_font_color', 'Product Price Font Color', 'E22828'),
(25, 'ht_single_product_market_price_font_size', 'Product Market Price Font Size', '14'),
(26, 'ht_single_product_market_price_font_color', 'Product Market Price Font Color', 'E22828'),
(27, 'ht_single_product_rating_font_size', 'Product Rating Font Size', '14'),
(28, 'ht_single_product_rating_font_color', 'Product Rating Font Color', '000000'),
(29, 'ht_single_product_tabs_font_color', 'Zoom Window Type', '000000'),
(30, 'ht_single_product_tabs_font_hover_color', 'Zoom Window Type', '636363'),
(31, 'ht_single_product_params_tab_box_background_color', 'Zoom Window Type', 'fff'),
(32, 'ht_single_product_params_tab_words_font_color', 'Zoom Window Type', '000'),
(33, 'ht_single_product_comments_tab_words_font_color', 'Zoom Window Type', '000'),
(34, 'ht_single_product_params_name_font_color', 'Zoom Window Type', '000'),
(35, 'ht_single_product_params_values_font_color', 'Zoom Window Type', '000'),
(36, 'ht_single_product_comments_name_font_color', 'Zoom Window Type', '000'),
(37, 'ht_single_product_comments_content_font_color', 'Zoom Window Type', '000'),
(38, 'ht_single_product_comments_submit_button_text', 'Zoom Window Type', 'Submit'),
(39, 'ht_single_product_comments_submit_button_text_font_size', 'Zoom Window Type', '14'),
(40, 'ht_single_product_comments_submit_button_text_font_color', 'Zoom Window Type', 'ffffff'),
(41, 'ht_single_product_comments_submit_button_text_font_hover_color', 'Zoom Window Type', 'ffffff'),
(42, 'ht_single_product_comments_submit_button_text_background_color', 'Zoom Window Type', '4ca6cf'),
(43, 'ht_single_product_comments_submit_button_text_background_hover_olor', 'Zoom Window Type', '21759b'),
(44, 'ht_single_product_price_text', 'ht_single_product_price_text', 'Price'),
(45, 'ht_single_product_market_price_text', 'ht_single_product_market_price_text', 'Discount Price'),
(46, 'ht_single_product_comments_text', 'ht_single_product_comments_text', 'Comments'),
(47, 'ht_single_product_parameters_text', 'ht_single_product_parameters_text', 'Parameters'),
(48, 'ht_single_product_rating_text', 'ht_single_product_rating_text', 'Rating'),
(49, 'ht_single_product_share_text', 'ht_single_product_share_text', 'Share'),
(50, 'ht_single_product_show_price', 'ht_single_product_show_price', 'on'),
(51, 'ht_single_product_show_rating', 'ht_single_product_show_rating', 'on'),
(52, 'ht_single_product_show_share_buttons', 'ht_single_product_show_share_buttons', 'on'),
(53, 'ht_single_product_show_parameters', 'ht_single_product_show_parameters', 'on'),
(54, 'ht_single_product_show_comments', 'ht_single_product_show_comments', 'on'),
(55, 'ht_single_product_tabs_border_color', 'ht_single_product_tabs_border_color', 'cccccc'),
(56, 'ht_single_product_your_name_text', 'ht_single_product_your_name_text', 'Your Name'),
(57, 'ht_single_product_your_Comment_text', 'ht_single_product_your_Comment_text', 'Your Comment'),
(58, 'ht_single_product_captcha_text', 'ht_single_product_captcha_text', 'Captcha'),
(59, 'ht_single_product_invalid_captcha_text', 'ht_single_product_invalid_captcha_text', 'Invalid Captcha'),
(60, 'ht_single_product_asc_seller_button_text', 'ht_single_product_asc_seller_button_text', 'Contact Seller'),
(61, 'ht_single_product_asc_seller_button_text_size', 'ht_single_product_asc_seller_button_text_size', '18'),
(62, 'ht_single_product_asc_seller_button_text_color', 'ht_single_product_asc_seller_button_text_color', 'ffffff'),
(63, 'ht_single_product_asc_seller_button_text_hover_color', 'ht_single_product_asc_seller_button_text_hover_color', 'ffffff'),
(64, 'ht_single_product_asc_seller_button_background_color', 'ht_single_product_asc_seller_button_background_color', 'E22828'),
(65, 'ht_single_product_asc_seller_button_background_hover_color', 'ht_single_product_asc_seller_button_background_hover_color', 'E22828'),
(66, 'ht_single_product_asc_to_seller_text', 'Submit Your Message Text', 'Submit Your Message'),
(67, 'ht_single_product_asc_seller_popup_background_1', 'ht_single_product_asc_seller_popup_background_1', 'ffffff'),
(68, 'ht_single_product_asc_seller_popup_background_2', 'ht_single_product_asc_seller_popup_background_2', 'ffffff'),
(69, 'ht_single_product_your_mail_text', 'Your E-mail', 'Your E-mail'),
(70, 'ht_single_product_your_phone_text', 'Your Phone', 'Your Phone'),
(71, 'ht_single_product_your_message_text', 'Your Message', 'Your Message'),
(72, 'ht_single_product_asc_seller_popup_button_text', 'ht_single_product_asc_seller_popup_button_text', 'Submit'),
(73, 'ht_single_product_asc_seller_popup_button_text_size', 'ht_single_product_asc_seller_popup_button_text_size', '19'),
(74, 'ht_single_product_asc_seller_popup_button_text_color', 'ht_single_product_asc_seller_popup_button_text_color', 'fff'),
(75, 'ht_single_product_asc_seller_popup_button_background_color', 'ht_single_product_asc_seller_popup_button_background_color', 'E22828'),
(76, 'ht_single_product_asc_seller_popup_button_background_hover_color', 'ht_single_product_asc_seller_popup_button_background_hover_color', 'C52323'),
(77, 'ht_single_product_asc_seller_popup_close_style', 'Close Button Style', 'dark'),
(78, 'ht_single_product_show_asc_seller_button', 'ht_single_product_show_asc_seller_button', 'off'),
(79, 'ht_single_product_message_for_user', 'ht_single_product_message_for_user', 'Dear Customer,Your Message Was Sent To Seller,Please Wait To Response'),
(80, 'ht_single_product_asc_to_seller_input_border_size', 'ht_single_product_asc_to_seller_input_border_size', '1'),
(81, 'ht_single_product_asc_to_seller_text_font_size', 'ht_single_product_asc_to_seller_text_font_size', '26'),
(82, 'ht_single_product_asc_to_seller_text_font_color', 'ht_single_product_asc_to_seller_text_font_color', 'D91A1A'),
(83, 'ht_single_product_asc_to_seller_input_border_color', 'ht_single_product_asc_to_seller_input_border_color', 'B3B3B3');


DROP TABLE IF EXISTS `#__huge_it_catalog_rating`;


CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_rating` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `value` text CHARACTER SET utf8 NOT NULL,
  `prod_id` int(11) unsigned NOT NULL,
  `ip` text CHARACTER SET utf8 NOT NULL,
  `date` text CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `wp_huge_it_catalog_rating`
--

INSERT INTO `#__huge_it_catalog_rating` (`id`, `value`, `prod_id`, `ip`, `date`) VALUES
(1, '5', 1, '127.0.0.1', '2015/04/10 at 18:00'),
(2, '4', 2, '127.0.0.2', '2015/04/10 at 18:00'),
(3, '5', 3, '127.0.0.3', '2015/04/10 at 18:00'),
(4, '5', 4, '127.0.0.2', '2015/04/10 at 18:00'),
(5, '1', 5, '127.0.0.5', '2015/04/10 at 18:00'),
(6, '2', 6, '127.0.0.4', '2015/04/10 at 18:00'),
(7, '1', 7, '127.0.0.9', '2015/04/10 at 18:00');


DROP TABLE IF EXISTS `#__huge_it_catalog_reviews`;


CREATE TABLE IF NOT EXISTS `#__huge_it_catalog_reviews` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` text CHARACTER SET utf8 NOT NULL,
  `content` text CHARACTER SET utf8 NOT NULL,
  `product_id` int(11) unsigned NOT NULL,
  `spam` int(11) unsigned NOT NULL,
  `ip` text CHARACTER SET utf8 NOT NULL,
  `date` text CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;

--
-- Дамп данных таблицы `wp_huge_it_catalog_reviews`
--

INSERT INTO `#__huge_it_catalog_reviews` (`id`, `name`, `content`, `product_id`, `spam`, `ip`, `date`) VALUES
(8, 'Daniel', 'Lorem ipsum dolor sit amet', 1, 0, '127.0.0.1', '12.01.2015'),
(9, 'Emily', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean aliquet, massa sit amet viverra tristique, urna sapien aliquam massa, sit amet ornare odio erat eleifend quam.', 2, 0, '127.0.0.1', '12.01.2015'),
(10, 'Michael', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 3, 0, '127.0.0.1', '12.01.2015'),
(11, 'Harry', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean aliquet, massa sit amet viverra tristique, urna sapien aliquam massa, sit amet ornare odio erat eleifend quam. In hac habitasse platea dictumst.', 4, 0, '127.0.0.1', '12.01.2015'),
(12, 'Jack', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean aliquet, massa sit amet viverra tristique, urna sapien aliquam massa, sit amet ornare odio erat eleifend quam. In hac habitasse platea dictumst. Sed tincidunt arcu ut vestibulum lobortis.', 5, 0, '127.0.0.1', '12.01.2015'),
(13, 'Maria', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean aliquet, massa sit amet viverra tristique, urna sapien aliquam massa.', 6, 0, '127.0.0.1', '12.01.2015'),
(14, 'Lucia', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean aliquet, massa sit amet viverra tristique, urna sapien aliquam massa, sit amet ornare odio erat eleifend quam. In hac habitasse platea dictumst. Sed tincidunt arcu ut vestibulum lobortis. Vestibulum accumsan vulputate sapien. Nulla porta lobortis malesuada. In hac habitasse platea dictumst. Sed accumsan, tellus in dapibus porttitor, nulla velit ullamcorper erat, in hendrerit mauris metus at augue. Nulla congue dolor ac interdum semper. Nulla molestie urna vitae urna vehicula sodales.', 7, 0, '127.0.0.1', '12.01.2015'),
(15, 'Anna', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean aliquet, massa sit amet viverra tristique, urna sapien aliquam massa, sit amet ornare odio erat eleifend quam. In hac habitasse platea dictumst. Sed tincidunt arcu ut vestibulum lobortis. Vestibulum accumsan vulputate sapien. Nulla porta lobortis malesuada. In hac habitasse platea dictumst. Sed accumsan, tellus in dapibus porttitor.', 8, 0, '127.0.0.1', '12.01.2015');
